# $Revision: 1.22 $, $Date: 2008/08/10 22:04:47 $
Summary:	Eric4 - a full featured Python IDE
Summary(pl.UTF-8):	Eric4 - pełnowartościowe IDE dla Pythona
Name:		eric4
Version:	4.2.0
Release:	1
License:	GPL
Group:		X11/Development/Tools
Source0:	http://dl.sourceforge.net/eric-ide/%{name}-%{version}.tar.gz
# Source0-md5:	893ba74b5e53ac0677a132078a4bcb46
Source1:	%{name}.desktop
Patch0:		%{name}-distdir.patch
URL:		http://www.die-offenbachs.de/eric/index.html
BuildRequires:	python-qscintilla2-devel >= 2.2
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-qscintilla2 >= 2.2
Requires:	python-devel-tools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eric4 is a full featured Python IDE that is written in PyQt4 using the
QScintilla editor widget.

%description -l pl.UTF-8
Eric4 jest pełnowartościowym IDE dla Pythona napisanym w PyQt4 i
używającym edytora QScintilla.

%package doc
Summary:	Documentation for Eric4
Summary(pl.UTF-8):	Dodatkowa dokumentacja dla Eric4
Group:		X11/Development/Tools
Requires:	%{name} = %{version}-%{release}

%description doc
Documentation for Eric4.

%description doc -l pl.UTF-8
Dodatkowa dokumentacja dla Eric4.

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT

python install.py -c -b %{_bindir} -d %{py_sitescriptdir} -i $RPM_BUILD_ROOT
install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/eric4.desktop
install -D eric/pixmaps/eric.png $RPM_BUILD_ROOT%{_pixmapsdir}/eric4.png

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}/*
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}/*

%clean
rm -rf $RPM_BUILD_ROOT

# NOTE: eric4 uses *.py files for it's own purposes
# so do not remove them from package
%files
%defattr(644,root,root,755)
%doc README* THANKS
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/eric4config.py*
%{py_sitescriptdir}/%{name}
%dir %{py_sitescriptdir}/%{name}plugins
%{py_sitescriptdir}/%{name}plugins/*
%exclude %{py_sitescriptdir}/%{name}/Documentation
%{_desktopdir}/eric4.desktop
%{_pixmapsdir}/eric4.png
%{_datadir}/qt4/qsci/api/python/*

%files doc
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/%{name}/Documentation
%{py_sitescriptdir}/%{name}/Documentation/Source

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eric4.spec,v $
Revision 1.22  2008/08/10 22:04:47  adamg
- updated to 4.2.0

Revision 1.21  2008/07/12 06:02:08  charles
- updated to 4.1.6

Revision 1.20  2008/06/07 12:35:38  adamg
- release 1

Revision 1.19  2008-06-07 12:30:40  adamg
- updated to 4.1.5

Revision 1.18  2008-05-20 16:08:11  adamg
- release 2 (1 is for Ac)

Revision 1.17  2008-05-20 16:07:43  adamg
- updated to 4.1.4

Revision 1.16  2008-05-04 10:15:40  adamg
- release 2 (1 is for Ac)

Revision 1.15  2008-05-04 10:15:11  adamg
- updated to 4.1.3

Revision 1.14  2008-04-05 19:30:48  adamg
- updated to 4.1.2

Revision 1.13  2008-03-20 21:56:25  adamg
- release 1

Revision 1.12  2008-03-02 21:08:50  twittner
- restore desktop file

Revision 1.11  2008-03-02 19:28:12  twittner
- up to 4.1.1
- noarch, files moved from %py_sitedir to %py_sitescriptdir
- added plugin directory
- added -install.patch against $RPM_BUILD_ROOT/$RPM_BUILD_ROOT bug
- only a bit tested (new version and changes in %files), so I put rel. 0.1

Revision 1.10  2007-12-15 14:41:16  adamg
- updated to 4.0.4

Revision 1.9  2007/10/25 21:36:24  beorn
- Up to 4.0.3

Revision 1.8  2007/10/13 00:02:21  twittner
- R: python-qscintilla2 >= 2.1_1.73-2 - should solve bug 52
- rel. 2

Revision 1.7  2007/07/22 10:12:30  twittner
- up to 4.0.1 (this goes on HEAD, snapshot will be on DEVEL branch)

Revision 1.6  2007/06/15 20:45:11  mmazur
- updated URL

Revision 1.5  2007/02/21 02:59:45  charles
- up to 20070218 snapshot

Revision 1.4  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.2  2006/12/26 17:11:06  qboosh
- cosmetic

Revision 1.1  2006/12/26 03:52:37  charles
- new (PyQt4)
